## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname  Cerberus
%global slugname cerberus
%global pkgname  python-cerberus
%global forgeurl https://github.com/pyeve/cerberus

%global common_description %{expand:
Cerberus is a lightweight and extensible data validation library for Python.

Cerberus provides type checking and other base functionality out of the box
and is designed to be non-blocking and easily extensible, allowing for custom
validation. It has no dependancies and is thoroughly tested.
}

%bcond_without tests

Name:           %{pkgname}
Version:        1.3.4
%forgemeta
# Remove -b4 when upgrading to a newer version:
Release:        %autorelease -b4
Summary:        Lightweight, extensible data validation library for Python
License:        ISC
URL:            %{forgeurl}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description %{common_description}

%package -n python3-%{slugname}
Summary: %{summary}

%description -n python3-%{slugname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{slugname}

%if %{with tests}
%check
%pytest -vv %{slugname}/tests
%endif

%files -n python3-%{slugname}
%license LICENSE
%doc README.rst AUTHORS CHANGES.rst
%{python3_sitelib}/%{srcname}-%{version}.dist-info
%{python3_sitelib}/%{slugname}/

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.4-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Miro Hrončok <miro@hroncok.cz> - 1.3.4-4
- Update to 1.3.4 once again

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.3.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 09 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.3.2-1
- adding version 1.3.2

* Fri Sep 09 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.3.3-1
- adding version 1.3.3

* Fri Sep 02 2022 chedi toueiti <chedi.toueiti@gmail.com> - 1.3.4-1
- update to version 1.3.4 (#1948312)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.3.2-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 15 2020 Neal Gompa <ngompa13@gmail.com> - 1.3.2-1
- Update to 1.3.2
- Disable tests on EPEL 8 due to pytest being too old

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.3.1-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.3.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Wed Aug 21 2019 Miro Hrončok <miro@hroncok.cz> - 1.3.1-3
- Backport Python 3.8 fix

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.3.1-2
- Rebuilt for Python 3.8

* Sun Jul 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 27 2018 Miro Hrončok <miro@hroncok.cz> - 1.2-5
- Subpackage python2-cerberus has been removed

* Mon Dec 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-4
- Enable python dependency generator

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-3
- fixup filelist

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-2
- drop documentation

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-1
- Update to 1.2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.1-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-1
- Update to 1.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 07 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.1-4
- don't use sphinxcontrib-issuetracker

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 1.0.1-3
- Rebuild for Python 3.6

* Thu Sep 01 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.0.1-2
- add BR: python3-sphinxcontrib-issuetracker

* Thu Sep 01 2016 Igor Gnatenko <ignatenko@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Jun 16 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.9.2-1
- Initial import
## END: Generated by rpmautospec
